Subject: bug#43204: closed (Re: [bug#43204] [PATCH] gnu: taglib: Propagate zlib.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Sep 2020 22:56:01 +0000

Your bug report

#43204: [PATCH] gnu: taglib: Propagate zlib.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43204: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43204
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43204] [PATCH] gnu: taglib: Propagate zlib.
From: Ludovic Courtès <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 08 Sep 2020 00:55:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Langlois <[email-masked]> skribis:

> Ludovic Courtès writes:

[...]

>> commit d8124a707602980556fd33c7dbf9f7483fe1d0df
>> Author: Ludovic Courtès <[email-masked]>
>> Date:   Mon Sep 7 09:56:08 2020 +0200
>>
>>     gnu: taglib: 'taglib-config --libs' shows -L flag for zlib.
>>     
>>     Fixes compilation of emacs-emms-print-metadata.
>>     
>>     * gnu/packages/mp3.scm (taglib)[arguments]: Add #:phases.
>
> LGTM!
>
> I was originally thinking we could just drop the `-lz`, since it
> /should/ only be needed for people who statically link with taglib, and
> we only ship shared libs. But actually, it's probably safer to follow
> what upstream is doing.

Yeah.  Pushed as d2a7114e0b46fccad1e02e301c58a5124f361c5c, thanks!

Ludo’.

Subject: [PATCH] gnu: taglib: Propagate zlib.
From: Michael Rohleder <[email-masked]>
To: [email-masked]
Cc: Michael Rohleder <[email-masked]>
Date: Fri, 4 Sep 2020 17:38:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/mp3.scm (taglib)[inputs]: Move zlib to [propagated-inputs].
---
It seems, consumer of taglib (commit 89e1e44813) needs to be linked w/ libz
according to the installed pkg-config.

I noticed that emacs-emms-print-metadata fails to link with a missing -lz lib,
(I guess, all revdeps of taglib that don't have zlib as an input have that problem)

 gnu/packages/mp3.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/mp3.scm b/gnu/packages/mp3.scm
index 7ee009df74..8ea282be97 100644
--- a/gnu/packages/mp3.scm
+++ b/gnu/packages/mp3.scm
@@ -175,7 +175,7 @@ a highly stable and efficient implementation.")
     (arguments
       '(#:tests? #f ; Tests are not ran with BUILD_SHARED_LIBS on.
         #:configure-flags (list "-DBUILD_SHARED_LIBS=ON")))
-    (inputs `(("zlib" ,zlib)))
+    (propagated-inputs `(("zlib" ,zlib)))
     (home-page "https://taglib.org")
     (synopsis "Library to access audio file meta-data")
     (description
-- 
2.28.0